org.springframework.messaging.core

## Class DestinationResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.messaging.MessagingException
          - - org.springframework.messaging.core.DestinationResolutionException

All Implemented Interfaces:
  Serializable

    public class DestinationResolutionException
    extends MessagingException

Thrown by a `DestinationResolver` when it cannot resolve a destination.

Since:
  4.0
Author:
  Mark Fisher, Rossen Stoyanchev
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DestinationResolutionException(String description)`
`DestinationResolutionException(String description, Throwable cause)`

### Method Summary

### Methods inherited from class org.springframework.messaging.MessagingException

`getFailedMessage, toString`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DestinationResolutionException

    public DestinationResolutionException(String description)

#### DestinationResolutionException

    public DestinationResolutionException(@Nullable
                                          String description,
                                          @Nullable
                                          Throwable cause)